/* General Styles */
:root {
    --primary: #4a90e2;
    /* Change this to your primary color */
    --primary-light: #5394dd;
    /* Lighter variant */
    --primary-dark: #3876bd;
    /* Darker variant */
    --primary-gradient: linear-gradient(135deg, var(--primary) 0%, var(--primary-dark) 100%);
}

body {
    font-family: Inter, sans-serif;
    line-height: 1.6;
    color: black;
    margin: 0 !important;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Playfair Display', serif;
}

.main-logo {
    max-width: 200px;
}

.footer-logo {
    max-width: 240px;
}

/* Navbar Styles */
.navbar {
    background-color: white;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding: 1rem 0;
    display: flex;
    justify-content: space-between;
}

.navbar-brand {
    font-weight: 700;
    color: var(--primary-color) !important;
}

.nav-link {
    font-weight: 500;
    color: var(--secondary-color) !important;
    margin: 0 0.5rem;
}

.nav-link:hover {
    color: var(--primary-color) !important;
}

.nav-ul-parent ul {
    list-style: none;
    display: flex;
    gap: 20px;
}

.nav-ul-parent ul li a {
    text-decoration: none;
    color: white;
}

.hamburger {
    display: none;
}



/* Footer */
footer {
    background-color: var(--secondary-color);
}


@media screen and (max-width:799px) {
    .hamburger {
        display: block;
    }
}

.nav-ul-parent ul li a:hover {
    text-decoration: none;
    color: rgb(132, 153, 134);
}

.nav-links.active {
    display: none;
}



.nav-link.active {
    color: var(--primary-color) !important;
}

.active-nav-item {
    color: var(--primary-color);
}


/* loader.css */
#loader {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: white;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

#gif-loader.fade-out {
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease, visibility 0.5s ease;
}


.loader-dots {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    gap: 8px;
}

.loader-dots div {
    width: 12px;
    height: 12px;
    background-color: #0F4C81;
    border-radius: 50%;
    animation: bounce 0.6s infinite alternate;
}

.loader-dots div:nth-child(2) {
    animation-delay: 0.2s;
}

.loader-dots div:nth-child(3) {
    animation-delay: 0.4s;
}

@keyframes bounce {
    from {
        transform: translateY(0);
        opacity: 0.6;
    }

    to {
        transform: translateY(-10px);
        opacity: 1;
    }
}